## rrdtool 1.2.11-0.6ubuntu1

=== debian/changelog ===
rrdtool (1.2.11-0.6ubuntu1) edgy; urgency=low

  * Sync with Debian
  * Remaining Ubuntu changes:
    - rrdtool-tcl.in: install pkgIndex.tcl

 -- Brandon Hale <brandon@ubuntu.com>  Sun,  9 Jul 2006 06:17:37 -0400

rrdtool (1.2.11-0.6) unstable; urgency=low

  * Convert to updated Python policy. Closes: #373379.

 -- Matthias Klose <doko@debian.org>  Sun, 18 Jun 2006 03:07:38 +0000

rrdtool (1.2.11-0.5ubuntu3) dapper; urgency=low

  * Reinstate usr/lib/tclrrd1.2.11/pkgIndex.tcl in rrdtool-tcl
    - Closes Malone #34095

 -- Brandon Hale <brandon@ubuntu.com>  Sat, 11 Mar 2006 08:25:27 -0500

rrdtool (1.2.11-0.5ubuntu2) dapper; urgency=low

  * Drop python2.3 package.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Feb 2006 14:18:06 +0000

rrdtool (1.2.11-0.5ubuntu1) dapper; urgency=low

  * debian/control: changed the ttf-dejavu dep to >=2.1-0ubuntu1 

 -- Stephan Hermann <sh@sourcecode.de>  Wed, 11 Jan 2006 17:36:15 +0100

rrdtool (1.2.11-0.5) unstable; urgency=low

  * NMU.
  * Fix the path to the ttf-deja font and version librrd2 dependance on
    ttf-dejavu.

 -- Laurent Fousse <laurent@komite.net>  Mon,  9 Jan 2006 17:57:20 +0100

rrdtool (1.2.11-0.4) unstable; urgency=low

  * NMU.
  * Tighten the dependency of the binary packages on librrd2 to assert the use 
    of a recent version depending on ttf-dejavu.
  * Fix 'rrdtool restore', replace the workaround from 1.2.11-0.3 with a patch
    from the upstream repository.  Closes: #323771.
  * Set the priority of the language bindings, which only depend on librrd2,
    to optional, as aleady done for python-rrd (rrdtool-tcl, librrds-perl).
    Closes: #240369.

 -- Matthias Klose <doko@debian.org>  Sun, 18 Sep 2005 06:04:13 +0000

rrdtool (1.2.11-0.3) unstable; urgency=low

  * NMU.
  * Don't include own copy of ttf-dejavu font file, depend on ttf-dejavu.
    Patch by Jeremy Bobbio. Closes: #323975.
  * README.Debian: Add link to upstream contrib directory (closes: #323969).
  * NEWS: Install into librrd2{,-dev} as well (closes: #325708).
  * librrd[ps]-perl: Add README to locate the example files (closes: #323611).

 -- Matthias Klose <doko@debian.org>  Tue, 13 Sep 2005 11:03:47 +0000

rrdtool (1.2.11-0.2) unstable; urgency=low

  * librrd2-dev: Add conflict/replaces to librrd0 (.la) file.
    Closes: #323355.

 -- Matthias Klose <doko@debian.org>  Tue, 16 Aug 2005 11:42:00 +0200

rrdtool (1.2.11-0.1) unstable; urgency=low

  * NMU.
  * New upstream version.
    - Fix FTBFS on amd64 (closes: #294623).
    - Fix rrdcgi not handling quotes (closes: #243794).
    - Fix rrdcgi concatenation problem (closes: #232556).
    - New soname for the librrd library (closes: #309346).
  * Use debhelper V4.
  * Build-depend on libart2.0-dev, libfreetype6-dev.
  * Remove build dependencies on gd2 libs. (closes: #261752, #289003).
  * Build python bindings from this source, add Matthias Urlichs as uploader.
  * debian/copyright: Remove the paragraph "Modifications to upstream source",
    no modifications with this upload.
  * Remove empty files from examples directory (closes: #281194).
  * Build-depend on fixed cgilib (>= 0.5-4.1).

 -- Matthias Klose <doko@debian.org>  Sun, 14 Aug 2005 17:30:00 +0200

rrdtool (1.0.49-1) unstable; urgency=low

  * New upstream release
  * librrd0 conflicts with older rrdtool, librrds-perl due to libpng
    incompatibility (Closes: #252271)
  * Change depends on librrd0-dev to -noxpm variant as well
  * Update depends on rrdtool-tcl to tcl8.4

 -- Matt Zimmerman <mdz@debian.org>  Thu,  4 Nov 2004 17:48:45 -0800

rrdtool (1.0.48-3) unstable; urgency=low

  * Placate disk space fascists by building with the -noxpm variant of libgd2
    (Closes: #261752)
  * Require a version of libgd which has GIF support restored (2.0.28)
    (Closes: #265660)

 -- Matt Zimmerman <mdz@debian.org>  Sat,  9 Oct 2004 11:43:06 -0700

rrdtool (1.0.48-2) unstable; urgency=low

  * Build against libgd2, since it now provides gif support as libgd-gif1
    did, and avoids a conflict with programs which link against both
    librrd and libgd2, such as php4-rrdtool (Closes: #261323)
    - Build-Depends: s/libgd-gif1-dev/libgd2-xpm-dev/
    - librrd0-dev Depends: likewise
  * Add libc-dev as an alternative in librrd0-dev's libc6-dev dependency

 -- Matt Zimmerman <mdz@debian.org>  Sat, 24 Jul 2004 23:57:17 -0700

rrdtool (1.0.48-1) unstable; urgency=low

  * New upstream release (Closes: #256795)

 -- Matt Zimmerman <mdz@debian.org>  Sun,  4 Jul 2004 01:40:30 -0700

rrdtool (1.0.46-3) unstable; urgency=low

  * Add dependencies to librrd0-dev to ensure that static linking is
    possible: libgd-gif1-dev, zlib1g-dev
  * #include <stdio.h> in rrd.h (Closes: #238849)
  * Only link rrdcgi with -lcgi, not librrd

 -- Matt Zimmerman <mdz@debian.org>  Fri, 19 Mar 2004 11:38:39 -0800

rrdtool (1.0.46-2) unstable; urgency=medium

  * Fix tcl module installation (Closes: #231171)

 -- Matt Zimmerman <mdz@debian.org>  Wed,  4 Feb 2004 15:35:46 -0800

rrdtool (1.0.46-1) unstable; urgency=low

  * New upstream release

 -- Matt Zimmerman <mdz@debian.org>  Mon, 12 Jan 2004 23:22:09 -0800

rrdtool (1.0.45-1) unstable; urgency=low

  * New upstream release
  * Deal with changed tclrrd naming scheme
  * Build with tcl8.4
  * Remove old dpkg-dev build-dependency; even woody is new enough

 -- Matt Zimmerman <mdz@debian.org>  Wed, 17 Dec 2003 14:09:11 -0800

rrdtool (1.0.42-2) unstable; urgency=low

  * Build-Depends: libpng12-dev instead of libpng3-dev (when will the madness end?)
    (Closes: #195224
     I hope this will also fix weird version mismatch problems (Closes: #194900)

 -- Matt Zimmerman <mdz@debian.org>  Sat, 31 May 2003 15:06:42 -0400

rrdtool (1.0.42-1) unstable; urgency=low

  * New upstream release
  * librrd0-dev Section: libdevel
  * librrd[sp]-perl Section: perl
  * Build with libpng3 (Closes: #189493)

 -- Matt Zimmerman <mdz@debian.org>  Thu, 15 May 2003 19:44:37 -0400

rrdtool (1.0.40-2) unstable; urgency=low


