=== debian/control ===
Source: rrdtool
Section: utils
Priority: optional
Maintainer: Matt Zimmerman <mdz@debian.org>
Uploaders: Matthias Urlichs <smurf@debian.org>
Standards-Version: 3.6.1
XS-Python-Version: all
Build-Depends: debhelper (>= 5.0.37.1), cgilib (>= 0.5-4.1), zlib1g-dev, libpng12-dev, libart-2.0-dev, libfreetype6-dev, groff, tcl8.4-dev, perl (>= 5.8.0), python-all-dev (>= 2.3.5-10)

Package: rrdtool
Architecture: any
Depends: ${shlibs:Depends}
Suggests: librrds-perl
Description: Time-series data storage and display system (programs)
 RRD is the Acronym for Round Robin Database. RRD is a system to store and
 display time-series data (i.e. network bandwidth, machine-room temperature,
 server load average). It stores the data in a very compact way that will
 not expand over time, and it presents useful graphs by processing the data
 to enforce a certain data density. It can be used either via simple wrapper
 scripts (from shell or Perl) or via frontends that poll network devices and
 put friendly user interface on it.
 .
 This package contains command line programs used to access and manipulate
 RRDs.

Package: librrd2
Architecture: any
Section: libs
Priority: optional
Depends: ${shlibs:Depends}, ttf-dejavu (>= 2.1-0ubuntu1)
Conflicts: rrdtool (<< 1.0.42-1), librrds-perl (<< 1.0.42-1)
Description: Time-series data storage and display system (runtime)
 RRD is the Acronym for Round Robin Database. RRD is a system to store and
 display time-series data (i.e. network bandwidth, machine-room temperature,
 server load average). It stores the data in a very compact way that will
 not expand over time, and it presents useful graphs by processing the data
 to enforce a certain data density. It can be used either via simple wrapper
 scripts (from shell or Perl) or via frontends that poll network devices and
 put friendly user interface on it.
 .
 This package contains shared libraries used to access and manipulate RRDs.

Package: librrd2-dev
Architecture: any
Section: libdevel
Depends: librrd2 (= ${Source-Version}), libpng12-dev, zlib1g-dev, libart-2.0-dev, libfreetype6-dev
Conflicts: librrd0-dev, librrd0
Replaces: librrd0
Description: Time-series data storage and display system (development)
 RRD is the Acronym for Round Robin Database. RRD is a system to store and
 display time-series data (i.e. network bandwidth, machine-room temperature,
 server load average). It stores the data in a very compact way that will
 not expand over time, and it presents useful graphs by processing the data
 to enforce a certain data density. It can be used either via simple wrapper
 scripts (from shell or Perl) or via frontends that poll network devices and
 put friendly user interface on it.
 .
 This package contains libraries used to develop software that uses RRDs.

Package: librrds-perl
Architecture: any
Section: perl
Priority: optional
Depends: ${perl:Depends}, ${shlibs:Depends}
Description: Time-series data storage and display system (perl-shared)
 RRD is the Acronym for Round Robin Database. RRD is a system to store and
 display time-series data (i.e. network bandwidth, machine-room temperature,
 server load average). It stores the data in a very compact way that will
 not expand over time, and it presents useful graphs by processing the data
 to enforce a certain data density. It can be used either via simple wrapper
 scripts (from shell or Perl) or via frontends that poll network devices and
 put friendly user interface on it.
 .
 This package contains a Perl interface to RRDs using a shared library.

Package: librrdp-perl
Architecture: all
Section: perl
Depends: ${perl:Depends}, rrdtool
Description: Time-series data storage and display system (perl-piped)
 RRD is the Acronym for Round Robin Database. RRD is a system to store and
 display time-series data (i.e. network bandwidth, machine-room temperature,
 server load average). It stores the data in a very compact way that will
 not expand over time, and it presents useful graphs by processing the data
 to enforce a certain data density. It can be used either via simple wrapper
 scripts (from shell or Perl) or via frontends that poll network devices and
 put friendly user interface on it.
 .
 This package contains a Perl interface to RRDs using command pipes.

Package: rrdtool-tcl
Architecture: any
Section: utils
Priority: optional
Depends: ${shlibs:Depends}, tcl8.4
Description: Time-series data storage and display system (tcl)
 RRD is the Acronym for Round Robin Database. RRD is a system to store and
 display time-series data (i.e. network bandwidth, machine-room temperature,
 server load average). It stores the data in a very compact way that will
 not expand over time, and it presents useful graphs by processing the data
 to enforce a certain data density. It can be used either via simple wrapper
 scripts (from shell or Perl) or via frontends that poll network devices and
 put friendly user interface on it.
 .
 This package contains a tcl interface to RRDs.

Package: python-rrd
Architecture: any
Section: python
Priority: optional
Depends: ${python:Depends}, ${shlibs:Depends}
Conflicts: python2.3-rrd, python2.4-rrd
Replaces: python2.3-rrd, python2.4-rrd
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python bindings for RRD
 RRD is the acronym for Round Robin Database. RRD is a system to store
 and display time-series data (i.e. network bandwidth, machine-room
 temperature, server load average). It stores the data in a very compact
 way that will not expand over time, and it presents useful graphs by
 processing the data to enforce a certain data density.
