=== debian/watch ===
http://ee-staff.ethz.ch	/~oetiker/webtools/rrdtool/pub	rrdtool-(.*)\.tar\.gz	debian
